> For the complete documentation index, see [llms.txt](https://docs.feedbackly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feedbackly.com/api/surveys/get-surveys.md).

# GET Surveys

## Surveys

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.3/surveys`

This endpoint returns all available surveys with the questions embedded

#### Query Parameters

| Name              | Type   | Description                                |
| ----------------- | ------ | ------------------------------------------ |
| skip              | number | Number of documents to skip from the start |
| preferredLanguage | string | Preferred language to show the titles in   |

#### Headers

| Name          | Type   | Description                                                                                |
| ------------- | ------ | ------------------------------------------------------------------------------------------ |
| Authorization | string | Authentication token to access the API eg: 'Authorization': 'ey0iuefg.834xcunerun348efnsd' |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
 "data": [
  {
    "_id": "589c16e487ef9860199cab3c",
    "name": "Example",
    "createdBy": "Admin",
    "teamId": "5dc56d54b7c935069aefa9e2",
    "teamName": "My team name",
    "languages": ["en"],
    "archived": false,
    "questions": [
      {
        "_id": "5a3b47d0e90828878851a1f5",
        "title": "Contact form",
        "subtitle": "Please type in your details",
        "choicesString": [
            "EMAIL",
            "PHONE"
        ],
        "questionType": "Contact",
        "languages": [
            "en"
        ],
        "language": "en",
        "choices": [
            {
                "fieldId": "5a3c353aecee8cb220b0270c",
                "fieldName": "EMAIL",
                "type": "string",
                "subType": "email"
            },
            {
                "fieldId": "5a3c353eecee8cb220b0270d",
                "fieldName": "PHONE",
                "type": "string",
                "subType": "tel"
            }
        ],
        "surveyId": "5a3b47c946d70600010fe412"
      }
    ]
  }
 ],
 "paging": {
     "next": null,
     "previous": null
 }
}
```

{% endtab %}

{% tab title="404 Could not find a cake matching this query." %}

```
```

{% endtab %}
{% endtabs %}

### Request return type

| Field  | Type                                                         | Example | Description         |
| ------ | ------------------------------------------------------------ | ------- | ------------------- |
| data   | [Survey data object](/api/surveys.md#survey-data-object) \[] |         | Survey data objects |
| paging | [Pagination](/api/notes/pagination.md)                       |         | Pagination object   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feedbackly.com/api/surveys/get-surveys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
